[Extension] View Legend - Afficher la légende

Présentations des extensions disponibles et compatibles pour les forums en version 3.2.x et 3.3.x de phpBB.
Avatar du membre
Fred Fred
Fondateur
Messages: []
Enregistré depuis: 4 ans 5 mois
Identité: Fred Rimbert
Forum phpBB: https://caforum.fr
Localisation: Le Lude - Pays de la Loire
Intérêt: GitHub

View Legend - Afficher la légende

Message par Fred »

Description
Cette extension affiche toutes les icônes du forum dans un aperçu pleine page, y compris leur signification.
  • Les mini-icônes et les icônes de publication ainsi que les BBCodes standard peuvent également être affichés.
Fonctionnalité supplémentaire :
Si l'extension ABBC3 est installée sur le forum, vous pouvez basculer les BBCodes standard vers ceux de l'extension dans le PCA. Les BBCodes standard de l'extension ABBC3 sont ensuite produits en extraits.

Exigences :
Au moins phpBB version 3.2.11 ou phpBB 3.3.x
Le style prosilver doit être installé.

Testé avec les versions phpBB suivantes :
  • 3.2.11
  • 3.3.0 à 3.3.11 inclus
Et les versions de PHP suivantes :
de la version 7.0 à 8.3.1



Nom de l'extension : View Legend
Auteur : Ongray
Version de l'extension : 2.3.2
Langue : de - en
Patch français > ici

Image

Image





Installation
En FTP il faut envoyer le dossier ongray dans le répertoire des extensions du forum.
Tu auras ceci :
./ext/ongray/viewlegend

Ensuite il faut activer l'extension dans le panneau d'administration :
PCA - PERSONNALISER - GESTION DES EXTENSIONS - Gérer les extensions

L'extension se trouve dans la partie Extensions désactivées, on clique sur Activer



Paramètres

Page des paramètres

Capture d’écran 2022-01-13 à 21.13.14.png


Tutoriel

Affichage du lien vers la légende en bas de forum

Capture d’écran 2022-01-13 à 19.15.48.png


Légende du forum

Capture d’écran 2022-01-13 à 21.22.47.png

Mini icônes

Capture d’écran 2022-01-13 à 21.23.09.png

Téléchargement

Téléchargement
View Legend
Vous n’avez pas les permissions nécessaires pour voir les fichiers joints à ce message.
Modifié en dernier par Fred le 20 févr. 2024, 19:15, modifié 2 fois. (Journal des éditions)
Raison: Mise à jour en version 2.3.2
Avatar du membre
Fred Fred
Fondateur
Messages: []
Enregistré depuis: 4 ans 5 mois
Identité: Fred Rimbert
Forum phpBB: https://caforum.fr
Localisation: Le Lude - Pays de la Loire
Intérêt: GitHub

Re: View Legend - Afficher la légende

Message par Fred »

Mise à jour de l'extension en version 2.2.8

Lien de téléchargement dans le premier message
Avatar du membre
Fred Fred
Fondateur
Messages: []
Enregistré depuis: 4 ans 5 mois
Identité: Fred Rimbert
Forum phpBB: https://caforum.fr
Localisation: Le Lude - Pays de la Loire
Intérêt: GitHub

Re: View Legend - Afficher la légende

Message par Fred »

Mise à jour du pack de langue française.
Avatar du membre
Fred Fred
Fondateur
Messages: []
Enregistré depuis: 4 ans 5 mois
Identité: Fred Rimbert
Forum phpBB: https://caforum.fr
Localisation: Le Lude - Pays de la Loire
Intérêt: GitHub

Re: View Legend - Afficher la légende

Message par Fred »

Mise à jour de l'extension en version 2.3.0

Lien de téléchargement dans le premier message
Avatar du membre
Fredisland Fredisland
Membre à l'essai
Messages: []
Enregistré depuis: 1 an
Prénom: Frédéric
Forum phpBB: http://cocci10.fredisland.net/fofo/
Localisation: Centre France
Intérêt: L'AMSTRAD CPC, les jeux électroniques vintage, les vinyles 33T, les chats, la pâte d'amandes, ma pièce vintage, la musique sur synthés, les (grandes) figurines, plein d'autres bricoles comme ça... Et mon fofo !

Re: View Legend - Afficher la légende

Message par Fredisland »

phpBB 3.3.10 - PHP 8.2
Extension prometteuse. Hélas, [Activer] me renvoie directement sur une page blanche 😔.
Avatar du membre
Fred Fred
Fondateur
Messages: []
Enregistré depuis: 4 ans 5 mois
Identité: Fred Rimbert
Forum phpBB: https://caforum.fr
Localisation: Le Lude - Pays de la Loire
Intérêt: GitHub

Re: View Legend - Afficher la légende

Message par Fred »

Salut Fred

Voici ce que l'on peut lire dans le fichier composer.json :

Code: Tout sélectionner

	"require": {
		"php": ">=7.0.0,<8.2.0",
Et aussi sur la page de l'extension :
"Les exigences PHP sont configurées à partir de 7.0.0 mais inférieures à 8.2.0."

Ajouté 7 heures 12 minutes 16 secondes après :
Il est par contre possible d'utiliser cette extension avec une version 8.2 de PHP
Ouvrir le fichier ext.php

Trouver : (peut correspondre à un résultat partiel dans une ligne de code ou à une ligne de code entière.)

Code: Tout sélectionner

		$php_below_ver		= '8.2.0';
Remplacer par : (remplacer les lignes de code précédemment trouvées par celles ci-dessous.)

Code: Tout sélectionner

		$php_below_ver		= '9.2.0';
Avatar du membre
Fredisland Fredisland
Membre à l'essai
Messages: []
Enregistré depuis: 1 an
Prénom: Frédéric
Forum phpBB: http://cocci10.fredisland.net/fofo/
Localisation: Centre France
Intérêt: L'AMSTRAD CPC, les jeux électroniques vintage, les vinyles 33T, les chats, la pâte d'amandes, ma pièce vintage, la musique sur synthés, les (grandes) figurines, plein d'autres bricoles comme ça... Et mon fofo !

Re: View Legend - Afficher la légende

Message par Fredisland »

Merci Fred pour ton aide ultime >>> Et ça marche !

Je me souviens avoir fait quelques modifs dans ce sens, mais je pense avoir été un peu trop radical, du style remplacment de "php": ">=7.0.0,<8.2.0" dans composer.json par "php": ">=7.0.0", et comme je ne maîtrise pas tous les rouages de phpBB, des fois je fonce dans un mur. Ton aide m'aura donc été précieuse, et l'extension fonctionne. Elle est au demeurant fort agréable.

Côté traduction, je vais remplacer "mine" par "mon sujet", histoire de compléter l'affaire. Encore merci.

J'ai en revanche dans mes icônes ce qui me paraît être des incohérences, faut que je compare avec un prosilver. Ça sera mon travail de la journée ;) .
Modifié en dernier par Fredisland le 25 mai 2023, 14:45, modifié 2 fois. (Journal des éditions)
Avatar du membre
Fred Fred
Fondateur
Messages: []
Enregistré depuis: 4 ans 5 mois
Identité: Fred Rimbert
Forum phpBB: https://caforum.fr
Localisation: Le Lude - Pays de la Loire
Intérêt: GitHub

Re: View Legend - Afficher la légende

Message par Fred »

La solution proposée n’est qu’une rustine permettant d’éviter l’erreur rencontrée.
Bien évidemment il faut attendre une future mise à jour.
Avatar du membre
Fredisland Fredisland
Membre à l'essai
Messages: []
Enregistré depuis: 1 an
Prénom: Frédéric
Forum phpBB: http://cocci10.fredisland.net/fofo/
Localisation: Centre France
Intérêt: L'AMSTRAD CPC, les jeux électroniques vintage, les vinyles 33T, les chats, la pâte d'amandes, ma pièce vintage, la musique sur synthés, les (grandes) figurines, plein d'autres bricoles comme ça... Et mon fofo !

Re: View Legend - Afficher la légende

Message par Fredisland »

Je me permets de proposer ma version personnalisée de l'extension (pour les thèmes à base prosilver).
Affichage plus compact des icônes et descriptifs plus détaillés.
Ne pouvant pas poster de pièce jointe (c'est la mode du bridage), si la modif vous intéresse contactez-moi que je vous l'envoie.

Image
Avatar du membre
Fred Fred
Fondateur
Messages: []
Enregistré depuis: 4 ans 5 mois
Identité: Fred Rimbert
Forum phpBB: https://caforum.fr
Localisation: Le Lude - Pays de la Loire
Intérêt: GitHub

Re: View Legend - Afficher la légende

Message par Fred »

Mise à jour de l'extension en version 2.3.1

Lien de téléchargement dans le premier message
Avatar du membre
Fred Fred
Fondateur
Messages: []
Enregistré depuis: 4 ans 5 mois
Identité: Fred Rimbert
Forum phpBB: https://caforum.fr
Localisation: Le Lude - Pays de la Loire
Intérêt: GitHub

Re: View Legend - Afficher la légende

Message par Fred »

Mise à jour de l'extension en version 2.3.2

Lien de téléchargement dans le premier message


Note de version :
Peu de changements, une note dus à un BUG signalé par Kirk sur phpBB.de le 21.01.2024 a été corrigés : Ce petit BUG a été négligé depuis la création de la version 2.3.0.

Les variables de langue ont été ajustées selon vl_ext_enable_error.php et concernent des corrections aux lignes 36, 43, 52 de ext.php :

ERROR_EXTENSION_NOT_ENABLEABLE remplacé par : ERROR_VL_EXTENSION_NOT_ENABLE